Get Cluster Instance. (GET /v1/cluster/instances/id/{id})
GET /api/v1/cluster/instances/id/. Orchestrator API reference.
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"tags": {},
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"activate": "<string>",
"clusterPolicyId": "<string>",
"orchestrationProvider": "ORCHESTRATOR_PROVIDER_UNSPECIFIED",
"orchestratorPluginID": "<string>",
"orchestratorConfig": {
"orchestratorAuthenticationType": "ORCHESTRATOR_AUTHENTICATION_TYPE_UNSPECIFIED",
"orchestratorServerAddress": "<string>",
"orchestratorPort": "<string>",
"orchestratorUsername": "<string>",
"orchestratorPassword": "<string>",
"orchestratorAPIToken": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"orchestratorMaxClusterCount": 123,
"orchestratorOrder": 123
},
"netInstConfig": [
{
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
}
],
"orchestratorClusterURL": "<string>",
"dbEndpoint": "<string>",
"devIds": [
"<string>"
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Path Parameters
System defined universally unique Id of the cluster instance
Response
A successful response.
Cluster Instance detail
User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the cluster instance. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$Type of cluster
CLUSTER_TYPE_UNSPECIFIED, CLUSTER_TYPE_K3S, CLUSTER_TYPE_TKG_ATTACH project id which the given cluster instance belong to
edgeNodePoolTags are name/value pairs that enables us to identify edgeNodes which are part of a ClusterInstance. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
app instance object for server node
Show child attributes
Show child attributes
app instance object for agent node
Show child attributes
Show child attributes
Minimum number of edge device required for the cluster instance
Maximum number of edge device allowed in the cluster instance
Minimum number of server nodes required for the cluster instance
Maximum number of server nodes allowed in the cluster instance
Minimum number of agent nodes required for the cluster instance
Maximum number of agent nodes allowed in the cluster instance
CallHome URL for the cluster to fetch configuration details
Cluster Instance orchestrator onboard type
CLUSTER_ONBOARD_TYPE_UNSPECIFIED, CLUSTER_ONBOARD_TYPE_MANUAL, CLUSTER_ONBOARD_TYPE_AUTOMATIC System defined universally unique Id of the cluster instance
[0-9A-Za-z-]+Detailed description of the cluster instance
256Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
Show child attributes
Show child attributes
cluster instance object revision details
Show child attributes
Show child attributes
cluster instance activation flag
System defined universally unique Id of the cluster policy
[0-9A-Za-z-]+Orchestrator type
ORCHESTRATOR_PROVIDER_UNSPECIFIED, ORCHESTRATOR_PROVIDER_RANCHER System defined universally unique Id of the orchestrator plugin
[0-9A-Za-z-]+Orchestrator config
Show child attributes
Show child attributes
Network instance config to enforce on all devices of this cluster
Show child attributes
Show child attributes
Href for the third-party cluster object.
[0-9A-Za-z-]+External DataBase endpoint for the server to communicate and sync
List of Edge Node Ids to deploy the cluster instance
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/cluster/instances/id/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/cluster/instances/id/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/cluster/instances/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"title": "<string>",
"clusterType": "CLUSTER_TYPE_UNSPECIFIED",
"projectId": "<string>",
"edgeNodePoolTags": {},
"serverAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"agentAppInst": {
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
},
"minEdgeDevices": 123,
"maxEdgeDevices": 123,
"minServerNodes": 123,
"maxServerNodes": 123,
"minAgentNodes": 123,
"maxAgentNodes": 123,
"callHomeURL": "<string>",
"clusterOnboardType": "CLUSTER_ONBOARD_TYPE_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"tags": {},
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"activate": "<string>",
"clusterPolicyId": "<string>",
"orchestrationProvider": "ORCHESTRATOR_PROVIDER_UNSPECIFIED",
"orchestratorPluginID": "<string>",
"orchestratorConfig": {
"orchestratorAuthenticationType": "ORCHESTRATOR_AUTHENTICATION_TYPE_UNSPECIFIED",
"orchestratorServerAddress": "<string>",
"orchestratorPort": "<string>",
"orchestratorUsername": "<string>",
"orchestratorPassword": "<string>",
"orchestratorAPIToken": "<string>",
"encryptedSecrets": {},
"cryptoKey": "<string>",
"orchestratorMaxClusterCount": 123,
"orchestratorOrder": 123
},
"netInstConfig": [
{
"name": "<string>",
"title": "<string>",
"deviceId": "<string>",
"port": "<string>",
"kind": "NETWORK_INSTANCE_KIND_UNSPECIFIED",
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"projectId": "<string>",
"tags": {},
"clusterID": "<string>",
"portTags": {},
"dhcp": true,
"type": "NETWORK_INSTANCE_DHCP_TYPE_UNSPECIFIED",
"ip": {
"subnet": "<string>",
"mask": "<string>",
"gateway": "<string>",
"domain": "<string>",
"ntp": "<string>",
"dns": [
"<string>"
],
"dhcpRange": {
"start": "<string>",
"end": "<string>"
},
"ntpServers": [
{
"server": "<string>"
}
]
},
"dnsList": [
{
"hostname": "<string>",
"addrs": [
"<string>"
]
}
],
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
},
"opaque": {
"type": "OPAQUE_CONFIG_TYPE_UNSPECIFIED",
"oconfig": "<string>",
"lisp": {
"lispiid": 123,
"allocate": true,
"exportprivate": true,
"allocationprefix": "aSDinaTvuI8gbWludGxpZnk=",
"allocationprefixlen": 123,
"sp": [
{
"type": "SPTYPE_INVALIDSRV",
"NameOrIp": "<string>",
"Credential": "<string>"
}
]
}
},
"deviceDefault": true,
"networkPolicyId": "<string>",
"propagateConnectedRoutes": true,
"staticRoutes": [
{
"prefix": "<string>",
"gateway": "<string>",
"outputPort": "<string>",
"probeConfig": {
"enableGatewayPing": true,
"pingMaxCost": 123,
"preferLowerCost": true,
"preferStrongerWwanSignal": true,
"customProbeConfig": {
"probeMethod": "CONNECTIVITY_PROBE_METHOD_UNSPECIFIED",
"probeEndpoint": {
"host": "<string>",
"port": 123
}
}
}
}
],
"mtu": 123,
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>"
},
"forwardLldp": true
}
],
"orchestratorClusterURL": "<string>",
"dbEndpoint": "<string>",
"devIds": [
"<string>"
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}